DS_FIND_CONTIGUOUS_EXTREMES(3)

FUNCTION
ds_find_contiguous_extremes - Find the minimum and maximum of a contiguous array.

SYNOPSIS
#include <karma_ds.h>

flag ds_find_contiguous_extremes

(CONST char *data, unsigned int num_values, uaddr stride, unsigned int elem_type, unsigned int conv_type, double *min, double *max)

DESCRIPTION
This routine will find the extremes (minimum and maximum) of a single trace (element versus a dimension).

data
    A pointer to the data. Misaligned data will cause bus errors on some platforms.

num_values
    The number of values to process.

stride
    The stride (in bytes) between consecutive data values.

elem_type
    The type of the element.

conv_type
    The type of conversion to use for complex numbers.

min The minimum value will be written here.

max The maximum value will be written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Safe.

NOTE
The minimum and maximum value must be initialised to a very large positive number and a very large negative number, respectively, outside of the routine. In other words, the routine does not initialise these values prior to testing for the minimum and maximum.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/